Summary:        Perl termcap interface
Name:           perl-Term-Cap
Version:        1.17
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/dist/Term-Cap
Source0:        https://cpan.metacpan.org/authors/id/J/JS/JSTOWE/Term-Cap-%{version}.tar.gz

BuildRequires:  coreutils findutils make perl-interpreter 
BuildRequires:  perl-generators perl(ExtUtils::MakeMaker)
BuildRequires:  ncurses perl(Carp) perl(strict) perl(vars)
# Tests:
BuildRequires:  perl(Test::More)
Requires:       ncurses perl(Carp)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version)) 

BuildArch:      noarch

%description
These are low-level functions to extract and use capabilities from a 
terminal capability (termcap) database.


%prep
%autosetup -n Term-Cap-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build


%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}


%check
make test


%files
%license LICENSE
%doc README Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*.3pm.gz


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.17-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.17-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jul 26 2022 doriscchao <doriscchao@tencent.com> - 1.17-1
- initial build, Version 1.17, Release 1
